> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/affiliate_tracking_domain/put_batches_aff_offers_tracking_domain.md).

# Setting offer Tracking Domain for an affiliate

| HTTP method | Endpoint                                                                          |
| ----------- | --------------------------------------------------------------------------------- |
| **PUT**     | **v1/domains/batches/affiliate/offers/{affiliate\_id}/{domian\_id}/{offer\_ids}** |

## Path parameters

| Parameter     | Description                                 |
| ------------- | ------------------------------------------- |
| affiliate\_id | Affiliate id                                |
| domian\_id    | The unique id for the tracking domain       |
| offer\_ids    | Offer id;\</br>If id=0, apply to all offers |

## Example request

**Request GET** <https://{networkname}.api.offerslook.com/v1/domains/batches/affiliate/offers/148/884/0>

**Request GET** <https://{networkname}.api.offerslook.com/v1/domains/batches/affiliate/offers/148/884/111,222,333>

## Example response

```
{
    "code": 0,
    "message": "Success"
}
```
